/*
 * Copyright (c) 2001, 2002 The XDoclet team
 * All rights reserved.
 */
package xdoclet.modules.mvcsoft.ejb;

/**
 * @author    Ara Abrahamian (ara_e_w@yahoo.com)
 * @created   May 31, 2002
 * @version   $Revision: 1.3 $
 */
public final class XDocletModulesMvcsoftEjbMessages
{
    /**
     * @msg.bundle
     *       msg = "Aliases must be of the form field=col,field=col"
     *
     */
    public final static String ALIAS_FORM = "ALIAS_FORM";

    /**
     * @msg.bundle
     *       msg = "Key aliases for table-mapped relationships must be of the form
     *            *      role1name:field=col,field=col;role2name:field=col,field=col"
     *
     */
    public final static String KEY_ALIAS_FORM = "KEY_ALIAS_FORM";

    /**
     * @msg.bundle
     *       msg = "Nested fault groups must be specified in the form
     *            *      cmrfield.subcmrfield:col,col2;cmrfield2:col,col2"
     *
     */
    public final static String NESTED_FAULT_GROUP_FORM = "NESTED_FAULT_GROUP_FORM";
}
